AMG_Interpolation.cpp File Reference
`#include "Paso.h"`
`#include "PasoUtil.h"`
`#include "Preconditioner.h"`
`#include "SparseMatrix.h"`
`#include <cstring>`

## Namespaces

| paso

## Functions

void | paso::Preconditioner_AMG_extendB (SystemMatrix_ptr A, SystemMatrix_ptr B)
void | paso::Preconditioner_AMG_CopyRemoteData (SystemMatrix_ptr P, index_t **p_ptr, index_t **p_idx, double **p_val, index_t *global_id, index_t block_size)
SystemMatrix_ptr | paso::Preconditioner_AMG_buildInterpolationOperator (SystemMatrix_ptr A, SystemMatrix_ptr P, SystemMatrix_ptr R)
SystemMatrix_ptr | paso::Preconditioner_AMG_buildInterpolationOperatorBlock (SystemMatrix_ptr A, SystemMatrix_ptr P, SystemMatrix_ptr R)